# Created by pyp2rpm-3.3.2
%global pypi_name grpcio-tools

Name:           python-%{pypi_name}
Version:        1.27.2
Release:        1%{?dist}
Summary:        Protobuf code generator for gRPC

License:        Apache License 2.0
URL:            https://grpc.io
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
gRPC Python Tools Package for gRPC Python tools.Supported Python Versions -
Python > 3.5Deprecated Python Versions -- Python 2.7. Python 2.7 support will
be removed on January 1, 2020.Installation The gRPC Python tools package is
available for Linux, Mac OS X, and Windows running Python 2.7.Installing From
PyPI If you are installing locally...:: $ pip install grpcio-toolsElse system
wide (on...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(grpcio) >= 1.27.2
Requires:       python3dist(protobuf) >= 3.5.0.post1
%description -n python3-%{pypi_name}
gRPC Python Tools Package for gRPC Python tools.Supported Python Versions -
Python > 3.5Deprecated Python Versions -- Python 2.7. Python 2.7 support will
be removed on January 1, 2020.Installation The gRPC Python tools package is
available for Linux, Mac OS X, and Windows running Python 2.7.Installing From
PyPI If you are installing locally...:: $ pip install grpcio-toolsElse system
wide (on...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc grpc_root/include/grpcpp/impl/README.md grpc_root/src/compiler/README.md README.rst third_party/protobuf/src/README.md
%{python3_sitearch}/grpc_tools
%{python3_sitearch}/grpcio_tools-%{version}-py?.?.egg-info

%changelog
* Sat Mar 07 2020 Leigh Scott <leigh123linux@gmail.com> - 1.27.2-1
- Initial package.
